Subject: Re: Cygwin Installation
From: Andrew Markebo <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 26 Jul 2001 18:42:14 +0200

There have been discussions on the cygwin-xfree mailinglist which
cygwin-'packages' is necessary for a successfull X installation, if I
got things right, the only thing necessary was the cygwin1.dll (or
what it is called nowadays).

It was a while ago, and I don't know if it is uptodate today.. 

You can remove quite a bit of the stuff from the cygwin installation,
not needed for X, on straight hand I think of gcc, gnutella, perl,
ghostscript, postgressql, bison, byacc, gawk, ghostscript (can be good
to have), python, gperf.

An alternative BTW is to use VNC, http://www.uk.research.att.com/vnc/,
runs the x-server on your machine, it runs on the remote host, and the
screens are transferred therefrom to you with the VNC-protocol.. 

It is free, usable.. and works great, allows the connection to die and
so on :-) 

        /Andy

/ chris chizk <[email-masked]> wrote:
| Hi, I have recently installed cygwin and X on my PC. 
| I have installed the full cygwin instalation and the
| minimal X install.  Documentation suggests the cygwin
| should take about 175 MB and I am assuming the X
| instalation to add some more.  I can afford about 250
| MB, as this is on a laptop with a small HD.  my
| instalation of cygwin and X has taken up about 700 MB.
|  This is not good (I have no more space on my HD), as
| all I want X for is to run some X applications on a
| unix machine from my office where I only have a PC.
| Can you confirm that this is reasonable, or can you
| suggest a minimal installation of cygwin.  I did find
| some minimal installation info on the web, but when I
| did that, X did not install properly, because of
| missing things.
| Thanks,
| Chris.
| 
| Chris.
| 
| =====
| Christopher L. Chizk
| http://www.cvs.rochester.edu/~chizk
| University of Rochester 
| [email-masked]
| 
| __________________________________________________
| Do You Yahoo!?
| Make international calls for as low as $.04/minute with Yahoo! Messenger
| http://phonecard.yahoo.com/
| 
| --
| Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| Bug reporting:         http://cygwin.com/bugs.html
| Documentation:         http://cygwin.com/docs.html
| FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/